Modify

Opened 7 years ago

Closed 12 months ago

Last modified 12 months ago

#10020 closed defect (fixed)

[Patch] Revert selection to new layer is broken

Reported by: skyper Owned by: Upliner
Priority: major Milestone:
Component: Plugin reverter Version:
Keywords: selection new layer Cc:

Description

What steps will reproduce the problem?

  1. select a single object (way or node) with version higher than one.
  2. try to revert a changeset in a new layer with "only selection" selected.

What is the expected result?

A new layer with the reverted object is created.

What happens instead?

An empty layer is created.

Please provide any additional information below. Attach a screenshot if possible.

When chosing "selected and deleted" non selected object is present in the new layer

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-05-13 01:36:17
Last Changed Author: Don-vip
Revision: 7117
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-05-13 01:20:33 +0200 (Tue, 13 May 2014)
Last Changed Rev: 7117

Identification: JOSM/1.5 (7117 en) Linux Debian GNU/Linux 7.5 (wheezy)
Memory Usage: 395 MB / 882 MB (301 MB allocated, but free)
Java version: 1.7.0_55, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-7-jre:amd64-7u55-2.4.7-1~deb7u1
Dataset consistency test: No problems found

Plugin: OpeningHoursEditor (30416)
Plugin: conflation (0.1.6)
Plugin: imagery-xml-bounds (30416)
Plugin: jts (30416)
Plugin: mirrored_download (30436)
Plugin: notes (v0.9.2)
Plugin: photoadjust (30428)
Plugin: reverter (30436)
Plugin: terracer (30416)
Plugin: todo (29154)
Plugin: undelete (30416)
Plugin: utilsplugin2 (30419)
Plugin: wikipedia (30416)

Attachments (2)

10020.patch (1.9 KB) - added by GerdP 12 months ago.
10020.2.patch (1.6 KB) - added by GerdP 12 months ago.
fixed indention (blanks instead of tab)

Download all attachments as: .zip

Change History (8)

comment:1 Changed 12 months ago by GerdP

@skyper: Can you still reproduce this problem? If yes, please give more details how to reproduce, else simply close it.

comment:2 Changed 12 months ago by skyper

Still can reproduce:

  1. download way 30277813 and select it.
  2. revert changeset 80099745 choosing "revert selection only" and check "download as new layer"
  3. empty new layer

console output:

2020-01-26 17:46:36.057 INFO: Reverting 1 changeset(s): [80099745]
2020-01-26 17:46:36.057 INFO: Reverting changeset 80099745
2020-01-26 17:46:36.425 INFO: GET https://api.openstreetmap.org/api/0.6/changeset/80099745 -> HTTP_1 200
2020-01-26 17:46:36.489 INFO: GET https://api.openstreetmap.org/api/0.6/changeset/80099745/download -> HTTP_1 200
2020-01-26 17:46:36.497 WARNING: No revert commands found for changeset 80099745
2020-01-26 17:46:36.497 INFO: Reverted changeset 80099745

It is the same with "revert selection and restore deleted objects" with "download as new layer" checked.

Without "download as new layer" checked it works though "restore deleted objects" does not work at all.

comment:3 Changed 12 months ago by GerdP

OK, can reproduce it.
Please check if this gives the wanted result:
1) download the way
2) create new layer
3) select way in old layer
4) merge selection
5 select new layer
6) revert 80099745 fully
7) confirm download of missing objects
If yes, the plugin should be able to do this as well.

Changed 12 months ago by GerdP

Attachment: 10020.patch added

comment:4 Changed 12 months ago by GerdP

Summary: Revert to new layer broken[Patch] Revert to new layer broken

Problem is that the plugin searches the wrong dataset for selected objects. The attached patch fixes this.

Changed 12 months ago by GerdP

Attachment: 10020.2.patch added

fixed indention (blanks instead of tab)

comment:5 Changed 12 months ago by GerdP

Resolution: fixed
Status: newclosed

Attached patch works only when reverting a single cs.
Problem is fixed with [o35310:35311]

comment:6 Changed 12 months ago by GerdP

Summary: [Patch] Revert to new layer broken[Patch] Revert selection to new layer is broken

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Upliner.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.